@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300..800&display=swap');

.teacher {
    font-family: "Raleway", sans-serif;
    padding: 40px 0 60px;
    box-sizing: border-box;
}

.teacher__breadcrumbs {
    margin: 0 0 20px;
}

.teacher__breadcrumbs span,
.teacher__breadcrumbs a {
    font-family: "Raleway", sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 145%;
    color: #b5b5b5;
    text-decoration: none;
    margin-right: 4px;
}

.teacher__breadcrumbs span:last-child {
    color: #020202;
}

.teacher__container {
    width: 100%;
    max-width: 1230px;
    padding: 0 15px;
    box-sizing: border-box;
    margin: 0 auto;
}

.teacher__header {
    display: flex;
    justify-content: space-between;
    margin: 0 0 60px;
}

.teacher__photo img {
    display: block;
    width: 100%;
    max-width: 380px;
    height: 315px;
    border-radius: 16px;
    object-fit: cover;
    -o-object-fit: cover;
}

.teacher__details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    border: 1px solid #cfe9ef;
    border-radius: 16px;
    width: 100%;
    max-width: 800px;
    height: 315px;
    box-shadow: 0 10px 30px 0 rgba(0, 0, 0, 0.06);
    background: #fff;
    padding: 20px 20px;
    box-sizing: border-box;
}

.teacher__name {
    font-weight: 600;
    font-size: 50px;
    line-height: 100%;
    color: #4d5c79;
    margin: 0 0 20px;
}

.teacher__position {
    font-weight: 400;
    font-size: 18px;
    line-height: 145%;
    color: #020202;
    margin: 0 0 20px;
}

.teacher__socials {
    display: flex;
    align-items: center;
}

.teacher__socials a {
    margin-right: 20px;
}

.teacher__socials img {
    display: block;
}

.teacher__subtitle {
    font-weight: 600;
    font-size: 50px;
    line-height: 100%;
    color: #4d5c79;
    margin: 0 0 40px;
}

.teacher__info h3 {
    font-size: 23px;
}

.teacher__info {
    margin: 0 0 60px;
}

.teacher__info p {
    font-family: "Raleway", sans-serif;
    font-weight: 400;
    font-size: 18px;
    line-height: 145%;
    color: #020202;
    margin: 0 0 20px;
}

.teacher__info ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.teacher__info ul li {
    position: relative;
    font-family: "Raleway", sans-serif;
    font-weight: 400;
    font-size: 18px;
    line-height: 145%;
    color: #020202;
    padding-left: 22px;
    margin: 0 0 10px;
}

.teacher__info ul li:before {
    position: absolute;
    content: "";
    width: 12px;
    height: 12px;
    left: 0;
    top: calc(50% - 12px / 2);
    background: url("/wp-content/themes/oceanwp-child-theme-master/img/team/teacher/mark.png") no-repeat center/cover;
}

.teacher__education {
    margin: 0 0 60px;
}

.swiper-slide {
    height: auto;
}

.teacher__education .swiper-controls {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0 0;
}

.teacher__education .swiper-pagination {
    display: flex;
    position: static;
    justify-content: center;
    width: auto;
    margin: 0 12px;
}

.teacher__education .teacher__certificate {
    border-radius: 16px;
    width: 225px;
    height: 100%;
    background: #f3f3f3;
    padding: 20px;
    display: flex;
    flex-direction: column;
}

.teacher__education .teacher__certificate img {
    display: block;
    border-radius: 12px;
    width: 100%;
    -o-object-fit: cover;
    object-fit: contain;
    margin: 0 0 10px;
}

.teacher__education .teacher__certificate p {
    font-family: "Raleway", sans-serif;
    font-weight: 400;
    font-size: 11px;
    line-height: 145%;
    color: #020202;
    margin: 0;
}

.teacher__education .swiper-button-prev-custom,
.teacher__education .swiper-button-next-custom {
    cursor: pointer;
}

.teacher__education .swiper-button-prev-custom {
    transform: rotate(180deg);
}

.teacher__education .swiper-button-disabled {
    opacity: 0.4;
    cursor: initial;
}

.teacher__courses-items {
    display: flex;
}

.teacher-course {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 385px;
    height: 285px;
    border-radius: 16px;
    background: linear-gradient(135deg, #f3f3f3 75%, rgba(67, 140, 84, 0.5) 100%);
    padding: 20px 20px;
    margin-right: 20px;
}

.teacher-course__title {
    font-weight: 600;
    font-size: 24px;
    line-height: 100%;
    color: #020202;
    margin: 0 0 20px;
}

.teacher-course__desc {
    font-weight: 400;
    font-size: 16px;
    line-height: 145%;
    color: #020202;
    margin: 0 0 20px;
}

.teacher-course__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 60px;
    text-decoration: none;
    border-radius: 6px;
    background: #cfe9ef;
    font-weight: 700;
    font-size: 18px;
    color: #020202;
    margin-top: auto;
}

@media (max-width: 600px) {
    .teacher {
        padding: 20px 0 60px;
    }

    .teacher__header {
        flex-direction: column;
    }

    .teacher__photo {
        margin: 0 0 20px;
    }

    .teacher__photo img {
        width: 100%;
        height: auto;
        border-radius: 16px;
        object-fit: cover;
        -o-object-fit: cover;
    }

    .teacher__details {


        width: 100%;
        height: auto;
        box-shadow: 0 10px 30px 0 rgba(0, 0, 0, 0.06);
        background: #fff;
        padding: 20px 20px;
        box-sizing: border-box;
    }

    .teacher__name {
        font-size: 30px;
        margin: 0 0 10px;
    }

    .teacher__position {
        font-size: 16px;
        line-height: 145%;
        margin: 0 0 20px;
    }

    .teacher__socials img {
        width: 40px;
        height: 40px;
    }

    .teacher__subtitle {
        font-size: 30px;
        line-height: 100%;
        margin: 0 0 20px;
    }

    .teacher__info p {
        font-size: 16px;
        line-height: 145%;
        margin: 0 0 20px;
    }

    .teacher__info ul li {
        font-size: 16px;
        line-height: 145%;
        margin: 0 0 10px;
    }

    .teacher__education .teacher__certificate {
        width: 160px;
        padding: 15px;
    }

    .teacher__education .teacher__certificate img {
        width: 100%;
        margin: 0 0 10px;
    }

    .teacher__courses-items {
        flex-direction: column;
    }

    .teacher-course {
        width: 100%;
        max-width: 345px;
        height: 285px;
        margin: 0 auto 20px;
    }
}